#include <iostream>
#include <vector>
#include <string>
#include <mutex>
 
void thread_proc(std::mutex& m)
{
    std::lock_guard<std::mutex> lock(m);

    std::vector<std::string> msg {"Hello", "C++", "World", "from", "VS Code", "and the C++ extension!"};
 
    for (const std::string& word : msg)
    {
        std::cout << word << " ";
    }

    std::cout << std::endl;
}
